import type { IController } from 'angular';
import './modalWizard.less';
export declare class V2ModalWizard implements IController {
    private $scope;
    wizard: any;
    heading: string;
    taskMonitor: any;
    dismiss: () => any;
    static $inject: string[];
    constructor($scope: ng.IScope);
    $onInit(): void;
    $onDestroy(): void;
}
export declare const V2_MODAL_WIZARD_COMPONENT = "spinnaker.core.modal.wizard.wizard.component";
